# 项目文档

## 1. 数据处理

在数据处理阶段，根据不同的需求对影像组学数据和深度学习数据进行预处理，并从原始数据库中查询标注的数据，读取DICOM数据并保存处理后的结果

- **影像组学数据（csv数据）**：`data/db_data_to_feat.py`
- **深度学习数据（npy数据）**：`data/db_data_to_npy.py`

## 2. 分类训练

分类训练模块涵盖了不同类型的模型训练，包括2d3d分类、预训练分类以及基于影像组学特征的分类

- **2d3d分类网络**：`pytorch_train/classification_model_2d3d.py`
- **预训练分类网络**：`pytorch_train/encoder_cls.py`
- **影像组学分类**：`pytorch_train/feat_cls.py`
- **深度学习分类**：`pytorch_train/train_2d3d.py`
- **多卡启动**：`torchrun --nproc_per_node=4 train_2d3d.py`
- **单卡启动**：`python train_2d3d.py`

## 3. 评测指标

实现评测用于评估分类表现

- **评测脚本**：`pytorch_train/_test_2d3d.py`

